module Line
  module Timeline
    class User
      attr_accessor :data

      # @param session
      # @param mid
      # @param nickname
      # @param picture_url
      def initialize (*args)
        @data = {
          session: args[0],
          mid: args[1],
          nickname: args[2],
          picture_url: args[3]
        }
      end

      def get_home_id()
        @data[:mid] = Line::Timeline::Api.get_home_id @data[:session]
        @data[:mid]
      end

      def get_timeline (data = {})
        mid = @data[:mid] if data[:mid].nil?
        Line::Timeline::Api.get_user_feed @data[:session], mid, data[:next_scroll_id]
      end
    end
  end
end